Bug 1172197 - [RHEVM][REST-API] Failed template removal with REST API floods server.log with exceptions
Summary: [RHEVM][REST-API] Failed template removal with REST API floods server.log wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.2
Hardware: All
OS: Linux
low
low
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Juan Hernández
QA Contact: Karolína Hajná
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-09 15:06 UTC by Alexandros Gkesos
Modified: 2019-07-11 08:26 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 20:52:36 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 36196 master MERGED restapi: Reduce RESTEasy warnings Never
Red Hat Knowledge Base (Solution) 1291673 None None None Never

Comment 1 Juan Hernández 2014-12-09 15:41:36 UTC
I believe there is no flooding, as the RESTAPI will send the warning to the log only once per failed operation. What happens here, if I understand correctly, is that the caller is sending the same request multiple times, once every 5 seconds, thus the warning in the log is repeated. Unless I'm missing something this should be closed as NOTABUG.

Comment 3 Juan Hernández 2014-12-09 16:28:27 UTC
The warning messages generated for failed requests come directly from RESTEasy, not from our own code. If we want to avoid them then we need to reduce the level of the "org.jboss.resteasy.core.SynchronousDispatcher" category (or some of its parents). This can be done editing the /usr/share/ovirt-engine/service/ovirt-engine/ovirt-engine.xml.in file and adding the following (after the configuration for category "sun.rmi", line 102):

  <logger category="org.jboss.resteasy.core.SynchronousDispatcher">
    <level name="ERROR"/>
  </logger>

Then restart the engine (service ovirt-engine restart).

Note that this file (ovirt-engine.xml.in) isn't a configuration file, so any change there will be lost when the owning package (rhevm-backend) is updated.

We could consider doing this by default, as these log messages in particular aren't really very useful, but in my opinion it is valuable to have the warnings by default, even if they consume some log space, as there may be other useful warnings associated to the same category.

As there is workaround I'm re-targeting to 3.6, for later re-consideration.

Comment 4 Karolína Hajná 2015-04-14 14:06:39 UTC
Verified in oVirt 3.6.0-1

Comment 14 errata-xmlrpc 2016-03-09 20:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.